Facebook Twitter YouTube Frictional Games | Forum | Newsletter | Dev Blog | Dev Wiki | Support

Thread Closed 
Linux Beta Demo and Feedback (1.0.1 Final Out)
Author Message
jvb Offline
Junior Member

Posts: 2
Joined: Apr 2007
Reputation: 0
Post: #151
RE: Linux Beta Demo and Feedback (Beta3)

DeeKey Wrote:Still not able to run under Ubuntu 6.06 Sad

I have upgraded from Beta 2 to beta 3 with the script.

The output is the same:
denis@ubuntu:~/PenumbraEp1Demo$ ./penumbrademo
./penumbrademo.bin: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by ./lib/libalut.so.0)
Penumbra exited unexpectedly, please check
/home/denis/.frictionalgames/Penumbra Overture/Episode1/hpl.log
for any error messages
Also try running
ulimit -c unlimited
And re-running Penumbra and try and recreate the error
then submit the generated core file or stack trace

Later will try downloading the clean Beta3
Your distro should have all those libs as well (without the need of glibc 2.4).
Removing everything in /home/denis/PenumbraEp1Demo/lib exept libCgGL.so and libCg will make it use your system libs.

I had the same problem with the log file.
It only seems to be created after you manage to run the game (making it completely useless).

PS: Using FC6 to build this was IMHO really a bad idea since many distros like Debian and Slackware still need to use glibc 2.3 to remain compatible with kernel 2.4.
(This post was last modified: 04-19-2007 07:20 PM by Helter-Skelter.)
04-19-2007 07:10 PM
Find all posts by this user
Thread Closed 

Messages In This Thread

User(s) browsing this thread: 1 Guest(s)